Skip to main content
POST
Create a contact
Learn more:
  • What is a contact? ↗

Path Parameters

consumer_id
string<uuid>
required

Body

application/json
is_prospect
boolean | null

Is a prospect?

is_customer
boolean | null

Is a customer?

is_supplier
boolean | null

Is a supplier?

is_company
boolean | null

Is a company?

company_name
string | null

Name of the company

Example:

"Example Company S.A."

first_name
string | null

Firstname

Example:

"John"

last_name
string | null

Lastname

Example:

"Doe"

email
string | null

Email

Example:

"john.doe@example.com"

phone
string | null

Phone

Example:

"+32 2 000 00 00"

mobile
string | null

Mobile

Example:

"+32 4 000 00 00"

company_id
string | null

Technical id of the contact' company in Chift

Example:

"<invoicing-company-id>"

vat
string | null

VAT number

Example:

"BE0000000000"

company_number
string | null

Company number (identification number different than the VAT (e.g. siret))

Example:

"0000000000"

currency
string | null

Currency matching target sofware name

Example:

"EUR"

language
string | null

Language matching target sofware name

Example:

"en"

comment
string | null

Comment

Example:

"Preferred contact: accounts payable team."

customer_account_number
string | null

Number of the accounting account used for sales (e.g. 701000)

Example:

"<invoicing-account-number>"

supplier_account_number
string | null

Number of the accounting account used for purchases (e.g. 601000)

Example:

"<invoicing-account-number>"

birthdate
string<date> | null

Birthdate

Example:

"1990-01-01"

gender
enum<string> | null

Gender

Available options:
H,
F,
N/A
addresses
AddressItemInInvoicing · object[] | null

Addresses

Response

Successful Response

id
string
required

Technical id in Chift

Example:

"<this-id>"

source_ref
Ref · object
required

Technical id in the target software

is_prospect
boolean | null

Is a prospect?

is_customer
boolean | null

Is a customer?

is_supplier
boolean | null

Is a supplier?

is_company
boolean | null

Is a company?

company_name
string | null

Name of the company

Example:

"Example Company S.A."

first_name
string | null

Firstname

Example:

"John"

last_name
string | null

Lastname

Example:

"Doe"

email
string | null

Email

Example:

"john.doe@example.com"

phone
string | null

Phone

Example:

"+32 2 000 00 00"

mobile
string | null

Mobile

Example:

"+32 4 000 00 00"

company_id
string | null

Technical id of the contact' company in Chift

Example:

"<invoicing-company-id>"

vat
string | null

VAT number

Example:

"BE0000000000"

company_number
string | null

Company number (identification number different than the VAT (e.g. siret))

Example:

"0000000000"

currency
string | null

Currency matching target sofware name

Example:

"EUR"

language
string | null

Language matching target sofware name

Example:

"en"

comment
string | null

Comment

Example:

"Preferred contact: accounts payable team."

customer_account_number
string | null

Number of the accounting account used for sales (e.g. 701000)

Example:

"<invoicing-account-number>"

supplier_account_number
string | null

Number of the accounting account used for purchases (e.g. 601000)

Example:

"<invoicing-account-number>"

birthdate
string<date> | null

Birthdate

Example:

"1990-01-01"

gender
enum<string> | null

Gender

Available options:
H,
F,
N/A
addresses
AddressItemOutInvoicing · object[] | null

Addresses

external_reference
string | null

External reference of the contact in the invoicing system

Example:

"CONTACT-0001"